Bug 27660 - RFE: add memtest86
RFE: add memtest86
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: FutureFeature
: 69346 80566 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-02-14 16:50 EST by Matthew Miller
Modified: 2007-04-18 12:31 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-02 13:09:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2001-02-14 16:50:58 EST
Memtest86 is a very nice x86 RAM tester written by Chris Brady of SGI. See
http://reality.sgi.com/cbrady_denver/memtest86/ for more information. Since
bad RAM is extremely common on cheap PC hardware, this is quite useful to
have around.

The program runs stand-alone -- it's launched from LILO -- so that it can
get low-level access to test more RAM.

I've created an RPM at
http://www.mattdm.org/misc/memtest/memtest86-2.5-2.src.rpm -- feel free to
use this as a base. It would also be good to change the bit of the
installer that writes the initial lilo.conf.
Comment 1 Daniel Roesen 2001-02-15 07:49:44 EST
Strongly seconded. We are not the only place where installing memtest86 in all
our servers LILO config is a standard procedure.

BTW, I think that would also serve RH Support when bugs are reported which smell
like RAM/bus problems. "Please enter 'memtest' on the LILO prompt and let it run
for a few hours to see if there are problems in this area"...
Comment 2 Michael Fulbright 2001-02-27 18:56:40 EST
Will consider for next release cycle.
Comment 3 Andrew Bartlett 2001-08-17 23:11:11 EDT
Did this get considered?  I can't see it in rawhide.
Comment 4 Matt Wilson 2001-09-17 15:32:36 EDT
considered, yes - but it will take some time to get it in place.
Comment 5 Matthew Miller 2001-09-17 15:35:15 EDT
I've got a newer src RPM at http://www.mattdm.org/misc/memtest/ , by the way.
However, 2.7 seems to have a problem where it pops up an empty black box when it
starts, which is sort of confusing. (Not just my binaries, but the precompiled
one, on any machine I've tried it on.)
Comment 6 Peter Bowen 2002-07-21 16:54:24 EDT
*** Bug 69346 has been marked as a duplicate of this bug. ***
Comment 7 Matthew Miller 2002-07-30 15:36:47 EDT
FWIW, the RPM at 


is now updated to version 3.0, and includes a few quick scripts to run grubby.
Comment 8 Matthew Miller 2002-07-30 15:38:11 EDT
Oh, and the new version no longer has the black-box bug.
Comment 9 Michael Fulbright 2003-01-02 17:15:08 EST
*** Bug 80566 has been marked as a duplicate of this bug. ***
Comment 10 Neal Pollack 2003-02-10 11:20:59 EST
It is suggested that this be added to the boot/install cd
as an initial option, and/or rescue option.  Running memtest86
prior to installing Red Hat linux will save numerous 
support calls due to bad/cheap RAM, and also therefore
improve the first user experience.

Suse also has memtest86 as an option on the install CD.
Comment 11 Idcmp 2003-03-21 00:13:13 EST
Red Hat was praised for "check media", similar praise would happen for "check
memory" - even if poorly documented.
Comment 12 Michael Fulbright 2003-08-12 12:28:29 EDT
Implemented in development branch.
Comment 13 Matthew Miller 2003-08-12 12:43:33 EDT
Comment 14 Matthew Miller 2004-03-02 13:09:39 EST
So, resolving, since it's in Fedora Core.

Note You need to log in before you can comment on or make changes to this bug.